unit BigStringContainer;

interface

uses
  SysUtils, Classes, StdCtrls;

type
  TBigStringContainer = class(TComponent)
  private
    { Private declarations }
    FStrings: TStringList;
    procedure FSetStringList(AValue: TStringList);
  protected
    { Protected declarations }
  public
    { Public declarations }
    function GetString: string;
    constructor Create(AOwner: TComponent);override;
    destructor Destroy;override;
  published
    { Published declarations }
    property Strings: TStringList read FStrings write FSetStringList;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Linco', [TBigStringContainer]);
end;

constructor TBigStringContainer.Create(AOwner: TComponent);
begin
  inherited;
  FStrings := TStringList.Create;
end;

destructor TBigStringContainer.Destroy;
begin
  FStrings.Free;
  inherited;
end;

procedure TBigStringContainer.FSeTStringList(AValue: TStringList);
begin
    FStrings.Assign(AValue);
end;

function TBigStringContainer.GetString: string;
begin
  result := FStrings.Text;
end;

end.
